# $Revision: 1.17 $, $Date: 2004/05/06 18:43:12 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	IO
%define	pnam	Multiplex
Summary:	IO::Multiplex - manage IO on many file handles
Summary(pl):	IO::Multiplex - zarzdzanie operacjami we/wy na wielu uchwytach plikw
Name:		perl-IO-Multiplex
Version:	1.08
Release:	1
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b27e0eb03f85cfd04b3e29953cfd4444
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IO::Multiplex is designed to take the effort out of managing multiple
file handles. It is essentially a really fancy front end to the select
system call. In addition to maintaining the select loop, it buffers
all input and output to/from the file handles. It can also accept
incoming connections on one or more listen sockets.

%description -l pl
Modu IO::Multiplex zosta zaprojektowany jako prba zarzdzania
wieloma uchwytami plikw. Jest przede wszystkim naprawd fantazyjnym
frontendem do wywoania systemowego select. Oprcz zarzdzania ptl
wywoa select, buforuje cae wejcie i wyjcie do/z uchwytw plikw.
Moe take akceptowa przychodzce poczenia z jednego lub wicej
nasuchujcych gniazd.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README TODO
%{perl_vendorlib}/IO/Multiplex.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-IO-Multiplex.spec,v $
Revision 1.17  2004/05/06 18:43:12  ankry
- fixed perl-devel BR

Revision 1.16  2004/04/20 23:30:13  ankry
- ported to new bconds

Revision 1.15  2004/04/14 20:46:28  ankry
- cosmetics, unification

Revision 1.14  2004/02/08 08:56:02  misi3k
- updated to 1.08
- removed patch0 (patch for 2.6 onboard)

Revision 1.13  2003/10/24 22:14:54  qboosh
- updated to 1.07
- added udptest-linux26 patch (udp test failed on Linux 2.6 because sendto
  returns EDESTADDRREQ on 2.6, not ENOTCONN as before)

Revision 1.12  2003/09/09 10:24:38  ankry
- spaces -> tab

Revision 1.11  2003/08/18 08:08:51  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.10  2003/05/28 13:00:43  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:24:40  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.7  2003/03/01 19:37:07  radek
- should be ready for perl-5.8.0; release++

Revision 1.6  2003/02/25 00:39:26  radek
- use the __perl macro

Revision 1.5  2003/02/18 15:33:29  ankry
- massive attack: change CPAN URLs

Revision 1.4  2002/11/28 18:06:52  mis
- autoupdated to 1.04

Revision 1.3  2002/09/10 21:26:52  qboosh
- pl description, release 3

Revision 1.2  2002/09/06 19:20:00  radek
- it's *not* on GPL
- it's *not* the IO::Cat
- added TODO, enabled tests, release 2

Revision 1.1  2002/09/05 18:23:20  baggins
- initial revision, done
